Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: nx

Interfaces

### Description:

NX remote desktop.

### Interfaces:

nx_read_home_files( domain )

##### Summary

Read nx home directory content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nx_search_var_lib( domain )

##### Summary

Search nx lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nx_spec_domtrans_server( domain )

##### Summary

Transition to nx server.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nx_var_lib_filetrans( domain , private type , object , name )

##### Summary

Create specified objects in nx lib directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.
name | The name of the object being created.

Return